Package org.pushingpixels.substance.internal.inputmaps

# Class WindowsInputMapSet

java.lang.Object
org.pushingpixels.substance.internal.inputmaps.BaseInputMapSet
org.pushingpixels.substance.internal.inputmaps.WindowsInputMapSet

All Implemented Interfaces:
  `InputMapSet`

public class WindowsInputMapSet extends BaseInputMapSet

## Nested Class Summary

## Nested classes/interfaces inherited from class org.pushingpixels.substance.internal.inputmaps.BaseInputMapSet

`BaseInputMapSet.ComboActions, BaseInputMapSet.DesktopPaneActions, BaseInputMapSet.FileChooserActions, BaseInputMapSet.ListActions, BaseInputMapSet.RootPaneActions, BaseInputMapSet.ScrollBarActions, BaseInputMapSet.ScrollPaneActions, BaseInputMapSet.SliderActions, BaseInputMapSet.SplitPaneActions, BaseInputMapSet.TabbedPaneActions, BaseInputMapSet.TableActions, BaseInputMapSet.TableHeaderActions, BaseInputMapSet.TextComponentActions, BaseInputMapSet.ToolBarActions, BaseInputMapSet.TreeActions`

## Field Summary

### Fields inherited from class org.pushingpixels.substance.internal.inputmaps.BaseInputMapSet

`COPY, CUT, PASTE, PRESSED, RELEASED`

## Constructor Summary

Constructors
Constructor
Description
`WindowsInputMapSet()`

## Method Summary

Modifier and Type
Method
Description
`SubstanceInputMap`
`getComboBoxAncestorInputMap()`
`SubstanceInputMap`
`getDesktopAncestorInputMap()`
`protected SubstanceInputMap`
`getMultilineTextComponentFocusInputMap()`
`SubstanceInputMap`
`getPasswordFieldFocusInputMap()`
`SubstanceInputMap`
`getScrollBarAncestorInputMap()`
`SubstanceInputMap`
`getSliderFocusInputMap()`
`SubstanceInputMap`
`getTabbedPaneAncestorInputMap()`
`SubstanceInputMap`
`getTextFieldFocusInputMap()`

### Methods inherited from class org.pushingpixels.substance.internal.inputmaps.BaseInputMapSet

`getActionControlFocusInputMap, getButtonFocusInputMap, getCheckBoxFocusInputMap, getEditorPaneFocusInputMap, getFileChooserAncestorInputMap, getFormattedTextFieldFocusInputMap, getListFocusInputMap, getRadioButtonFocusInputMap, getRootPaneAncestorInputMap, getScrollPaneAncestorInputMap, getSpinnerAncestorInputMap, getSplitPaneAncestorInputMap, getTabbedPaneFocusInputMap, getTableAncestorInputMap, getTableHeaderAncestorInputMap, getTextAreaFocusInputMap, getTextPaneFocusInputMap, getToggleButtonFocusInputMap, getToolBarAncestorInputMap, getTreeAncestorInputMap, getTreeFocusInputMap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WindowsInputMapSet

public WindowsInputMapSet()

## Method Details

### getComboBoxAncestorInputMap

public SubstanceInputMap getComboBoxAncestorInputMap()

Specified by:
  `getComboBoxAncestorInputMap` in interface `InputMapSet`
Overrides:
  `getComboBoxAncestorInputMap` in class `BaseInputMapSet`

### getDesktopAncestorInputMap

public SubstanceInputMap getDesktopAncestorInputMap()

Specified by:
  `getDesktopAncestorInputMap` in interface `InputMapSet`
Overrides:
  `getDesktopAncestorInputMap` in class `BaseInputMapSet`

### getMultilineTextComponentFocusInputMap

protected SubstanceInputMap getMultilineTextComponentFocusInputMap()

Overrides:
  `getMultilineTextComponentFocusInputMap` in class `BaseInputMapSet`

### getPasswordFieldFocusInputMap

public SubstanceInputMap getPasswordFieldFocusInputMap()

Specified by:
  `getPasswordFieldFocusInputMap` in interface `InputMapSet`
Overrides:
  `getPasswordFieldFocusInputMap` in class `BaseInputMapSet`

### getScrollBarAncestorInputMap

public SubstanceInputMap getScrollBarAncestorInputMap()

Specified by:
  `getScrollBarAncestorInputMap` in interface `InputMapSet`
Overrides:
  `getScrollBarAncestorInputMap` in class `BaseInputMapSet`

### getSliderFocusInputMap

public SubstanceInputMap getSliderFocusInputMap()

Specified by:
  `getSliderFocusInputMap` in interface `InputMapSet`
Overrides:
  `getSliderFocusInputMap` in class `BaseInputMapSet`

### getTabbedPaneAncestorInputMap

public SubstanceInputMap getTabbedPaneAncestorInputMap()

Specified by:
  `getTabbedPaneAncestorInputMap` in interface `InputMapSet`
Overrides:
  `getTabbedPaneAncestorInputMap` in class `BaseInputMapSet`

### getTextFieldFocusInputMap

public SubstanceInputMap getTextFieldFocusInputMap()

Specified by:
  `getTextFieldFocusInputMap` in interface `InputMapSet`
Overrides:
  `getTextFieldFocusInputMap` in class `BaseInputMapSet`